package controllers

import (
	"eta/eta_chart_lib/models"
)

// CommonController excel表格
type CommonController struct {
	BaseAuthController
}

const (
	Disclaimer   = "Disclaimer"
	DisclaimerEn = "DisclaimerEn"
)

var (
	disclaimerMap = []string{
		Disclaimer, DisclaimerEn,
	}
)

// GetDisclaimer
// @Title 获取免责声明
// @Description 获取免责声明
// @Success 200 {object}
// @router /disclaimer [get]
func (this *CommonController) GetDisclaimer() {
	br := new(models.BaseResponse).Init()
	defer func() {
		if br.ErrMsg == "" {
			br.IsSendEmail = false
		}
		this.Data["json"] = br
		this.ServeJSON()
	}()
	disclaimerList, err := models.GetBusinessConfByKeys(disclaimerMap)
	if err != nil {
		br.Msg = "获取免责声明失败"
		br.ErrMsg = "获取免责声明失败,Err:" + err.Error()
		return
	}

	br.Data = disclaimerList
	br.Ret = 200
	br.Success = true
	br.Msg = "刷新成功"
}
